/* addCols - Add together columns. */
#include "common.h"
#include "linefile.h"

void usage()
/* Explain usage and exit. */
{
errAbort(
  "addCols - Add together columns\n"
  "usage:\n"
  "   addCols XXX\n");
}

void addCols(char *fileName)
/* addCols - Add together columns. */
{
struct lineFile *lf = lineFileOpen(fileName, TRUE);
char *words[16];
int wordCount, totals[16];
int maxCount = 0;
int i;

for (i=0; i<ArraySize(words); ++i)
     totals[i] = 0;
while ((wordCount = lineFileChop(lf, words)) != 0)
    {
    if (maxCount < wordCount)
        maxCount = wordCount;
    for (i=0; i<wordCount; ++i)
        totals[i] += atoi(words[i]);
    }
for (i=0; i<maxCount; ++i)
     printf("%d ", totals[i]);
printf("\n");
}

int main(int argc, char *argv[])
/* Process command line. */
{
if (argc != 2)
    usage();
addCols(argv[1]);
return 0;
}
